Skip to content

List all proposals to change threats made for the organization

GET
/v1/threats/proposals
page
integer format: int64
default: 1 >= 1 <= 1000000

1-indexed page number. Defaults to 1; zero is rejected.

page_size
integer format: int64
default: 5 >= 1 <= 100

Rows per page. Defaults to 5, max 100; zero is rejected.

List all proposals

Paginated list envelope: { "results": [...], "pagination": {...} }.

object
pagination
required

Pagination metadata describing the slice.

object
page
required

1-indexed page number of this result slice.

integer format: int64
page_size
required

Number of items requested per page.

integer format: int64
total_items
required

Total number of matching items across all pages.

integer format: int64
total_pages
required

Total number of pages at this page size.

integer format: int64
results
required

The items on this page.

Array<object>

Contains detailed information about a proposal. This includes values of [Proposal] and a list of [FullProposalAction]s.

object
actions
required
Array<object>

Contains values of threat_proposal_action::Model and a list of [InherentScore]s.

object
action
required
object
comment
string | null
created_by
One of:
null
created_date
required
string format: date-time
deleted_date
string | null format: date-time
id
required
integer format: int64
updated_date
string | null format: date-time
scores
required
Array<object>

Contains information about the current scoring of a threat objective.

Inherent scores don’t exist without the context of an organization, and cannot exist without some relationship to a threat objective.

This struct should be refactored at some point to be more generic, because it doesn’t necessarily have to relate to a proposal, nor does this struct need to include the threat_objective_name if not requested alone.

object
created_date
required

The date the score was created.

string format: date-time
id
required

An auto-incrementing PK value that uniquely identifies the score given the threat objective name

integer format: int64
impact
required

The y-axis

string
Allowed values: Very Low Low Medium High Severe
is_draft
required

Whether this inherent score is a draft (excluded from some threat-level responses).

boolean
likelihood
required

The x-axis

string
Allowed values: Remote Unlikely Possible Probable Imminent
proposal_action_id
required

The proposal action PK that this score is associated with

integer format: int64
proposal_id
required

The proposal PK that this score is associated with

integer format: int64
threat_objective_name
required

The threat objective PK

string
Allowed values: Sabotage Data Disclosure Extortion Customer Targeting Resource Hijacking Fraud
proposal
required
object
approved_by
One of:
null
approved_date
string | null format: date-time
created_by
One of:
null
created_date
required
string format: date-time
denied_by
One of:
null
denied_date
string | null format: date-time
id
required
integer format: int64